nxt.util.security

## Class BlockchainPublicKey

- java.lang.Object
- - nxt.util.security.BlockchainPublicKey

- All Implemented Interfaces:
    java.io.Serializable, java.security.Key, java.security.PublicKey

      public class BlockchainPublicKey
      extends java.lang.Object
      implements java.security.PublicKey

  Represent an account public key
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface java.security.PublicKey

      `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockchainPublicKey(byte[] bytes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getAlgorithm()`
    `byte[]` | `getEncoded()`
    `java.lang.String` | `getFormat()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockchainPublicKey

          public BlockchainPublicKey(byte[] bytes)

  - ### Method Detail

    - #### getAlgorithm

          public java.lang.String getAlgorithm()

      Specified by:
        `getAlgorithm` in interface `java.security.Key`

    - #### getFormat

          public java.lang.String getFormat()

      Specified by:
        `getFormat` in interface `java.security.Key`

    - #### getEncoded

          public byte[] getEncoded()

      Specified by:
        `getEncoded` in interface `java.security.Key`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`